Class | Sass::Plugin::Rack
In: | lib/sass/plugin/rack.rb
Parent: | Object

Rack middleware for compiling Sass code.

## Activate

        require 'sass/plugin/rack'
        use Sass::Plugin::Rack

## Customize

        Sass::Plugin.options.merge(
          :cache_location => './tmp/sass-cache',
          :never_update => environment != :production,
          :full_exception => environment != :production)

{file:SASS_REFERENCE.md#options See the Reference for more options}.

## Use

Put your Sass files in `public/stylesheets/sass`. Your CSS will be generated in `public/stylesheets`, and regenerated every request if necessary. The locations and frequency {file:SASS_REFERENCE.md#options can be customized}. That‘s all there is to it!

### Methods

call new

### Public Class methods

new(app)

Initialize the middleware.

@param app [call] The Rack application

[Source]

        # File lib/sass/plugin/rack.rb, line 30
    30:       def initialize(app)
    31:         @app = app
    32:       end

### Public Instance methods

call(env)

Process a request, checking the Sass stylesheets for changes and updating them if necessary.

@param env The Rack request environment @return [(to_i, {String => String}, Object)] The Rack response

[Source]

        # File lib/sass/plugin/rack.rb, line 39
    39:       def call(env)
    40:         Sass::Plugin.check_for_updates
    41:         @app.call(env)
    42:       end

[Validate]